vos zap                    AFS Commands                 vos zap


NAME

   vos zap -- remove a volume from its site without writing to

                       the VLDB.


   vos zap  -server <machine name>  -partition <partition name>
          -id <volume ID>  [-force]  [-cell <cell name>]
   [-noauth]
   [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos z  -s <machine name>  -p <partition name>  -i <volume
   ID>
   [-f]  [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

DESCRIPTION

   Removes the volume with the volumeID  number  -id  from  the
   site  defined  by -server and -partition, without attempting
   to change the corresponding VLDB entry.

   The -force flag removes  a  volume  even  if  it  cannot  be
   "attached" (brought online), which can happen either because
   the volume is extremely  damaged  or  because  the  Salvager
   functioned  abnormally.    Without  this  flag, this command
   cannot remove volumes that are not attachable.  See also the
   WARNINGS section.

WARNINGS

   This  command  should  not  be  used  as the standard way to
   remove a volume, as it is likely to put the VLDB out of sync
   with the volumes on servers.  Use vos remove instead.

   This  command  is useful in situations where it is important
   to delete the volume,  but  for  some  reason  the  VLDB  is
   unreachable  (the  VL  Server  may be down).  The issuer may
   remove the VLDB entry later with vos remove or vos delentry,
   or  it  will  be  removed  automatically  when  someone runs
   vos syncserv and vos syncvldb.

   To remove a ReadOnly site defined in the  VLDB  by  mistake,
   before  a copy actually exists at the site, use vos remsite.
   To remove an entire VLDB entry without affecting volumes  at
   their sites, use vos delentry.

   Do not use the -force flag if the volume is online, but only
   when attempts  to  remove  the  volume  with  vos remove  or
   vos zap  have  failed and/or the volume definitely cannot be
   attached.  After using -force, make sure that  the  volume's
   VLDB   entry   is   also   removed  (issue  vos delentry  if
   necessary).

   Adding the -force flag makes the command  take  considerably
   longerMabout   as   long   as  a  salvage  of  the  relevant
   partitionMsince the Volume Server examines all inodes on the
   partition for traces of the volume.



ARGUMENTS

   -server         names  the file server machine from which to
                   remove the volume.    Abbreviated  forms  of
                   machine  names  may  be allowed depending on
                   the naming service available at the time the
                   command  is  issued;  see  page  xii  in the
                   introductory  About  This  Manual   chapter.
                   -partition
                   names the partition from which to remove the
                   volume.    In  addition  to the full /vicepx
                   form of  a  partition  name,  three  shorter
                   forms  are  acceptable;  see page xii in the
                   introductory About This Manual chapter.

   -id             specifies the volumeID number of the  volume
                   to  remove, which may be of any of the three
                   types.  The volume name is not acceptable.

   -force          tells the Volume Server to delete the volume
                   even  though  it cannot be attached (brought
                   online).  Use only after failed attempts  to
                   remove  the  volume  with vos remove and vos
                   zap without this flag.

   -cell           specifies the  cell  in  which  to  run  the
                   command.    See section 8.3 in the Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to assign  the  identity  anonymous  to  the
                   issuer.    See  section 8.3 in the Reference
                   Manual for more details.  -localauth
                   constructs  a server ticket using a key from
                   /usr/afs/etc/KeyFile.  See  section  8.3  in
                   the   Reference  Manual  for  more  details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to report on what they  are  doing  as  they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not provide any  other  arguments  or  flags
                   with  this  one.    See  section  8.3 in the
                   Reference Manual for more details.

EXAMPLE

   The following removes the  volume  with  volumeID  536870988
   from  /vicepf of fs6.transarc.com, without noting the change
   in the VLDB.

   % vos zap fs6.transarc.com f 536870988



PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos delentry vos remove vos remsite
